![image](teaser.png)

# 1.3.4

#### Данный релиз сфокусирован на расширении списка поддерживаемых устройств, делая Hashcore Toolkit еще более универсальным инструментом для профессионалов. Мы рады объявить о добавлении поддержки новейших моделей Antminer, а также о важных улучшениях совместимости и клонирования настроек

## Основные изменения

- **Улучшенная совместимость с устаревшими прошивками:** Исправлена проблема совместимости с устаревшими версиями прошивок (получение данных об устройстве `/info`), что обеспечивает более стабильную работу с широким спектром оборудования.
- **Расширенные возможности клонирования настроек:** Добавлена поддержка клонирования настроек "Минимальное количество работающих чейнов" и "Игнорировать температурные сенсоры на чипах", что позволяет более гибко настраивать параметры устройств.
- **Поддержка новых моделей Antminer:** Добавлена поддержка Antminer L9, S21+, S21+ Hydro и S19 pro hydro 120, что расширяет возможности управления современным оборудованием.

Мы уверены, что Hashcore Toolkit 1.3.4 сделает вашу работу с оборудованием еще более эффективной и удобной. Обновляйтесь и пользуйтесь новыми возможностями!

### 1.3.3

- Добавлены фильтры по аккаунту в пуле и режиму охлаждения, а также группировка по аккаунту в пуле. Это позволит вам более гибко управлять устройствами и анализировать их работу.
- Теперь установка и обновление прошивки станут еще проще и понятнее благодаря добавленным подсказкам.
- Добавлена возможность указывать список адресов для выполнения команд файлом, что упростит управление большим количеством устройств.
- Изменена логика изоляции устройств и вынесено формирование фильтров в отдельный изолят для улучшения быстродействия интерфейса.
- В диалог клонирования настроек добавлено поле "Максимальная задержка запуска майнинга", а также объединены настройки "Режим охлаждения" и "Целевая температура"("Скорость вентиляторов") для исключения конфликтов.
- Исправлено сообщение о слишком новой версии прошивки при установке.
- Исправлена ошибка применения модификаторов списка после смены группы через контекстное меню.
- В диалоге настроек исправлена локализация темы при смене языка.
- Исправлена проверка прошивки стокового майнера при установке прошивки.
- Исправлен артефакт при открытии меню устройства.
- Исправлен артефакт при открытии сетевой группы, в которой нет включенных диапазонов.

### 1.3.2

- Добавлены колонки **`Серийный номер устройства`** и **`Текущий хэшрейт`**, чтобы вы могли быстро получать необходимую информацию о своих устройствах и эффективнее анализировать их производительность.
- Мы улучшили drag & drop, зафиксировали кнопки управления выделением в списке экспорта устройств и добавили способ управления масштабом приложения.
- Мы исправили ряд ошибок, которые могли вызывать проблемы при работе с программой,  включая проблему смешивания устройств в списке при смене группы во время сканирования. Также мы исправили изменение шаблона пулов из диалога редактирования пулов и значения клонируемых настроек в диалоге клонирования.
- Исправлена локализация клонируемых настроек и исправили правописание в нескольких местах.
- Мы обновили фреймворк и зависимости приложения, чтобы обеспечить более стабильную и эффективную работу Hashcore Toolkit.
- Исправили зависание контекстного меню, другие мелкие исправления интерфейса.

### 1.3.1

- Исправлен диалог, редактирование пулов
- Исправлена проблема обновления списка устройств при смене групп во время сканирования

### 1.3.0

- Новый режим отображения "Мониторинг":  теперь вы можете легко отслеживать состояние ваших устройств с помощью тепловой карты, что позволяет быстро выявлять и устранять потенциальные проблемы.
- Групповое редактирование подсетей: редактируйте подсети в диалоге редактирования сетевой группы.
- Поиск устройств: ищите устройства по IP и MAC адресам, а также по адресам пулов и воркерам.
- Пресеты пулов: сохраняйте пулы в шаблоны для быстрого применения и переключения.
- Клонирование: клонируйте пулы, настройки остановки добычи в случае неисправности цепи, максимальную скорость кулеров и минимальный пресет.
- Центр шаблонов: управляйте и создавайте пресеты пулов и фильтров в одном месте.
- Новая панель управления видом и командами: переключайтесь между видами, ищите устройства и выполняйте групповые операции.
- Экспорт диагностических отчетов: экспортируйте отчеты для прошивок Vnish, как для одного, так и для группы устройств.
- Экспорт MAC-адреса: экспортируйте MAC-адрес устройства при экспорте списка.
- Новые сочетания клавиш: `Ctrl/Cmd + F` для поиска устройств и `Ctrl/Cmd + A` для выделения всего списка.
- Теперь прошивки Braiins показывают информацию о потребляемой мощности
- Сканирование сети: останавливайте и продолжайте сканирование по желанию.
- Описание функций Reset Firmware и Remove Firmware: добавлено краткое описание в меню устройства.
- Доработан раздел с операциями: проблемные операции больше не останутся незамеченными.
- Упрощен диалог установки/обновления прошивки: установка прошивки стала еще проще.
- Описание ошибок майнера: наводите на статус ошибки, чтобы увидеть ее причину.
- Изменен экспорт температур: экспортируйте температуры чипов и плат отдельно для каждой платы.
- Значения Hashrate в режиме мониторинга приведены к одному знаменателю.
- Список фильтров обновляется по мере изменения списка устройств.
- Оптимизировано обновление интерфейса во время сканирования сети.
- Изменен расчет статистики группы: выведена статистика в меню перехода между группами.
- Расширены шаблоны переменных в пуле: добавлен шаблон `{ip}`, параметры в шаблонах, редактирование разделителей в `{ip:}, {mac:}`, управление первым значением и шагом в `{n:}, {nn:}, {nnn:}`.
- Группировка полей в меню сортировки и фильтрации.
- Изменен вывод версии стоковой прошивки для устройств Bitmain.
- Изменена разметка статистики группы (ширина полей группировки).
- Добавлено отображение минимального пресета 
- Улучшения интерфейса: увеличили ширину колонки для версии прошивки, изменили внешний вид всплывающих подсказок и улучшили отображение списка в режиме пулов.
- Задача “Удаление прошивки” не запускается для прошивок Vnish, установленных на SD.
- Изменено определение моделей S19j Pro-A и S19 Pro-A при установке прошивки.
- Исправлено отображение скорости вращения кулеров и статуса чейнов при получении пустых данных.
- Исправлена проблема отмены сканирования после открытия второй сетевой группы.
- Исправлена проблема снятия выделения с устройств в компактном режиме.
- Исправлено обновление статистики сетевой группы при повторном сканировании адресов.
- Исправлен счетчик выбранных настроек для клонирования.
- Исправлена проверка вводимых данных в диалоге редактирования пулов.
- Исправлена ошибка с примененным значением фильтра.
- А также сделали множество других мелких правок…

### 1.2.0
- Группировка устройств и статистика
- Уведомления о новых версиях
- Добавлен пользовательский режим отображения устройств
- Поддержка Antminer S21 XP Hydro и Antminer S21XP Imm
- Реализована команда «Find miner» для прошивок Bitmain (Antminer Stock)
- Статистика прошивок Braiins и Luxor
- Отображение DevFee и предупреждения о проблемах
- Китайская локализация
- Отображение имени сборки прошивки
- Добавлен раздел «О компании»
- Добавлены новые команды в `toolkit_cli` (clone и reset-autotune)
- Импорт групп с использованием drag&drop
- Оптимизация добавления устройств во время сканирования сети
- Улучшенная сортировка воркеров
- Полная переработка установки прошивки
- Улучшения интерфейса: увеличили ширину колонки для версии прошивки, изменили внешний вид всплывающих подсказок и улучшили отображение списка в режиме пулов
- Быстрый доступ к экспорту групп диапазонов
- Экспорт одной группы из контекстного меню сетевой группы
- Исправлено зависание Windows на старте при потере данных о положении окна
- Исправлена потеря данных приложения (сохранение файлов восстановления)
- Исправлено блокирование потоков при запуске обработчиков, написанных на rust
- Изменено поведение кнопки Rescan в списке устройств
- Исправлена работа toolkit_cli
- Исправлен запуск задачи «Install Firmware»
- Исправлены подписи к элементам управления и описание приложения для Mac
- Исправлена отмена задачи (сканирования, восстановления прошивок и т.д.) при выходе из сетевой группы

### 1.1.0
- Пресеты для фильтров и сортировки
- Добавили фильтрацию и сортировку устройств по подсетям
- Добавили операцию сброса прошивки
- Поддержка Antminer S19j XP, T19 Pro Hydro, S19e XP Hydro и Antminer S21 XP
- Режим отображения устройства "Офлайн"
- Локализация на русский язык
- Заголовки в многоуровневых меню
- Подписи к типам разблокировки
- Адаптивность: Добавили небольшую адаптивность приложения, для небольших экранов устройств.
- Окно с операциями: расширенная информация, фильтрация, удаление, остановка операций
- Контекстное меню устройства
- Алгоритмы поиска и мониторинга
- Предупреждения и подписи к разблокировкам
- Функция клонирования устройств
- Интерфейс приложения
- Улучшен выбор фильтров
- Быстрый доступ к экспорту списка устройств
- Исправлена ошибка отмены пользовательских паролей
- Исправлено автоматическое удаление пробелов в именах файлов прошивок
- Исправлена ошибка экспорта и импорта сетевых групп для Windows
- Прекращена поддержка Windows 8 и более старых версий

### 1.0.2
- Исправлена проблема приводившая к отказу запуска на Windows 11

### 1.0.1
- Исправлен таймаут сохранения списка подсетей
- Незначительные корректировки интерфейса
- Добавлена проверка вводимых данных в диалогах Установки прошивки и Обновления прошивки (проверка названия прошивки и версии на пустоту)
- Добавлено групповое энергопотребление
- Обновлена генерация имени файла для экспорта файлов. Имя импортируемого файла используется для имени группы
- Реализовано сохранение пароля для диапазона в диалоге разблокировки одного майнера
- Исправлено игнорирование параметров модели при обновлении прошивки
- Исправлен артефакт режима пулов
- В следующих версиях поддержка Windows 7, 8 будет прекращена

### 1.0.0
- Выпуск приложения